summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRob Taylor <robtaylor@lancastria.(none)>2006-08-18 20:55:17 +0100
committerRob Taylor <robtaylor@lancastria.(none)>2006-08-18 20:55:17 +0100
commit2effafca679d6331201e7637b18888a70b958eb8 (patch)
tree4ffcecb99398fe24610924d5382304e56be36305 /autogen.sh
parente6c7815f9457757d7364463759766c85981ce207 (diff)
Commit patch to switch to gtk-doc with gtype-specialized doc and updates from
Marc-Andre Lureau <marcandre.lureau@gmail.com>, with minor cleanup. Closes #7726.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index eb7b797..dd95150 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -38,6 +38,7 @@ ACLOCAL=aclocal-1.9
}
(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+
echo
echo "You must have libtoolize installed to compile $PROJECT."
echo "Install the libtool package from ftp.gnu.org or a mirror."
@@ -60,6 +61,8 @@ fi
libtoolize --copy --force
+gtkdocize || echo "gtkdocize failed"
+
echo $ACLOCAL $ACLOCAL_FLAGS
$ACLOCAL $ACLOCAL_FLAGS
@@ -69,6 +72,7 @@ $ACLOCAL $ACLOCAL_FLAGS
$AUTOMAKE -a $am_opt
autoconf || echo "autoconf failed - version 2.5x is probably required"
+
cd $ORIGDIR
run_configure=true